Package org.eclipse.viatra.query.runtime.matchers.util

## Interface CollectionsFactory.ICollectionsFramework

- All Known Implementing Classes:
    `EclipseCollectionsFactory`
  Enclosing class:
    CollectionsFactory

      public static interface CollectionsFactory.ICollectionsFramework

  Interface abstracting over a collections technology that provides custom collection implementations.
  Since:
    1.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> IDeltaBag<T>` | `createDeltaBag()` |
    `<K,​V> java.util.Map<K,​V>` | `createMap()` |
    `<K,​V> java.util.Map<K,​V>` | `createMap​(java.util.Map<K,​V> initial)` |
    `<T> IMemory<T>` | `createMemory​(java.lang.Class<? super T> values, CollectionsFactory.MemoryType memoryType)` |
    `<K,​V> IMultiLookup<K,​V>` | `createMultiLookup​(java.lang.Class<? super K> fromKeys, CollectionsFactory.MemoryType toBuckets, java.lang.Class<? super V> ofValues)` |
    `<T> IMultiset<T>` | `createMultiset()` |
    `<O> java.util.List<O>` | `createObserverList()` |
    `<E> java.util.Set<E>` | `createSet()` |
    `<E> java.util.Set<E>` | `createSet​(java.util.Collection<E> initial)` |
    `<K,​V> java.util.TreeMap<K,​V>` | `createTreeMap()` |

- - ### Method Detail

    - #### createMap

          <K,​V> java.util.Map<K,​V> createMap()

    - #### createMap

          <K,​V> java.util.Map<K,​V> createMap​(java.util.Map<K,​V> initial)

    - #### createTreeMap

          <K,​V> java.util.TreeMap<K,​V> createTreeMap()

      Since:
        2.3

    - #### createSet

          <E> java.util.Set<E> createSet()

    - #### createSet

          <E> java.util.Set<E> createSet​(java.util.Collection<E> initial)

    - #### createMultiset

          <T> IMultiset<T> createMultiset()

    - #### createDeltaBag

          <T> IDeltaBag<T> createDeltaBag()

    - #### createObserverList

          <O> java.util.List<O> createObserverList()

    - #### createMultiLookup

          <K,​V> IMultiLookup<K,​V> createMultiLookup​(java.lang.Class<? super K> fromKeys,
                                                                CollectionsFactory.MemoryType toBuckets,
                                                                java.lang.Class<? super V> ofValues)

      Since:
        2.0

    - #### createMemory

          <T> IMemory<T> createMemory​(java.lang.Class<? super T> values,
                                      CollectionsFactory.MemoryType memoryType)

      Since:
        2.0